********************************************************************************
* EKP 2018 - Constitutional Rules as Determinants of Social Infrastructure	   *
* Table 3b Results															   *	
********************************************************************************

set more off
use Table3b_data, clear

********************************************************************************
* Instrumenting with HJ variables
********************************************************************************
* OLS specification - constitution index + HJ and PT variables + continental and 
* colonial controls
reg SI_GADP index_weighted lat01 age parl_democ maj pres federal col_uka col_espa col_otha ///
africa laam asiae, robust
est store OLS1

* IV specification - constitution index + PT variables + continental and 
* colonial controls::
ivreg2 SI_GADP lat01 age parl_democ maj pres federal col_uka col_espa col_otha africa ///
laam asiae (index_weighted = engfrac eurfrac frankrom), robust
est store IV1

********************************************************************************
* Instrumenting with Settler Mortality
********************************************************************************
* OLS specification - constitution index + PT variables:
reg SI_GADP index_weighted lat01 age parl_democ maj pres federal col_uka col_espa col_otha ///
africa laam asiae if logem4!=., robust
est store OLS2

* IV specification - constitution index + PT variables + continental and colonial controls:
ivreg2 SI_GADP lat01 age parl_democ maj pres federal col_uka col_espa col_otha africa ///
laam asiae (index_weighted = logem4) if logem4!=., robust
est store IV2

outreg2 [OLS1 IV1 OLS2 IV2] using Table3b.xls, excel bdec(3) keep(index_weighted ///
lat01 age parl_democ maj pres federal)
